Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "5855a5eb-1c27-4683-b391-721b4fcde5e9",
"date_start": "2026-11-22T19:26:11.3480502+00:00",
"date_end": "2026-11-22T19:26:11.3480502+00:00",
"modified_dateutc": "2026-11-22T19:26:11.3480502+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "bc9759ee-7197-4b3c-90cb-cbdf04e513ac",
"user_code": "sample string 8",
"user": {
"id": "fecb397f-faa5-4f32-8e19-8e4936c2102a",
"db_language_id": "8d35ca8b-5413-4953-9312-2dc846706465",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-22T19:26:11.3480502+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "33694c62-e798-48e9-9065-5dd512178227",
"sales_organization": {
"id": "d9fb8670-db5c-46ca-bab2-2d50f13ba4b8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d98139d2-f62c-4698-9d62-a2e59ce03c0f",
"db_currency_id": "cbd75bbe-5435-4757-b7f3-424bb2c49ece",
"db_language_id": "4b051df2-5673-40e7-8b22-cc0a6c2a75ff",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-22T19:26:11.3658517+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "928d9adf-fcb9-45a9-9cda-cdd38ceff667",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "a2a80730-a295-4c9e-8462-d1a2bba389df",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-22T19:26:11.3658517+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "d833b007-560e-4850-8969-bbe672285b46"
},
"user_unavailability_type_id": "5f8a8690-daa4-4246-a057-30f42ec1405c",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "60c01d3a-9466-445f-9dc5-952d81b75eb0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "c706c699-f53e-4bef-b4aa-0accf9a976d1",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "d9fb8670-db5c-46ca-bab2-2d50f13ba4b8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d98139d2-f62c-4698-9d62-a2e59ce03c0f",
"db_currency_id": "cbd75bbe-5435-4757-b7f3-424bb2c49ece",
"db_language_id": "4b051df2-5673-40e7-8b22-cc0a6c2a75ff",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-22T19:26:11.3658517+00:00"
},
"modified_dateutc": "2026-11-22T19:26:11.3658517+00:00"
}
}